Static Public Attributes

# ObjectAnimationBase Struct Reference

Helper class for animation control. More...

Inheritance diagram for ObjectAnimationBase:

## Static Public Attributes
static const CallbackID | cb_animation_speed = CBID_OBJECT_ANIMATION_SPEED
static const CallbackID | cb_animation_next_frame = CBID_OBJECT_ANIMATION_NEXT_FRAME
static const ObjectCallbackMask | cbm_animation_speed = CBM_OBJ_ANIMATION_SPEED
static const ObjectCallbackMask | cbm_animation_next_frame = CBM_OBJ_ANIMATION_NEXT_FRAME

## Detailed Description

Helper class for animation control.

Definition at line 532 of file newgrf_object.cpp.

The documentation for this struct was generated from the following file:

- src/newgrf_object.cpp